// (C) 2021-2026 GoodData Corporation
import { put } from "redux-saga/effects";
import { screenSizeChanged } from "../../events/layout.js";
import { tabsActions } from "../../store/tabs/index.js";
export function* setScreenSizeHandler(ctx, cmd) {
    const { screenSize } = cmd.payload;
    yield put(tabsActions.setScreen({ screen: screenSize }));
    return screenSizeChanged(ctx, screenSize, cmd.correlationId);
}
